Subject: Extension Upload with ExtManger should delete complete Folder, else Fatal Error
Description

Hi,

there are some Problems, if you upload an extension with Extensiomanager. The Option "Overwrite any existing extension!" should
deleted all existing files or better the complete folder.
in my case, i have a mix out of two Extension Versions.

Steps to reproduce:

- install a fresh TYPOS3 4.7.12 and then static_info_tables
If you now want to install static_info_tables you got this warning "The running TYPO3 version (4.7.12) is lower than required
(6.0.6)."
Ok, now go to TER and Download the latest version for 4.7.x -->
http://typo3.org/extensions/repository/download/static info tables/2.3.2/t3x/
And use the Upload Function in Extensionmanager and Check "Overwrite any existing extension!:" After Upload an Install you
have BOTH extensions static_info_table 6 and 2 in one folder. And in this Moment the system crash because version 6 has an
ext_autoload.php with 'TYPO3\CMS\Core\Utility\ExtensionManagementUtility' which result in a Fatal error.

Related issues:
duplicated by Core - Bug # 48552: Unable to install static_info_tables in 4.7... Closed 2013-05-26

History

#1 - 2013-07-25 13:02 - Knut Behrends

Sven Juergens wrote:

Hi,

there are some Problems, if you upload an extension with Extensiomanager. The Option "Overwrite any existing extension!" should deleted all
existing files or better the complete folder.

in my case, i have a mix out of two Extension Versions.

Steps to reproduce:

- install a fresh TYPOG3 4.7.12 and then static_info_tables

If you now want to install static_info_tables you got this warning "The running TYPOG3 version (4.7.12) is lower than required (6.0.6)."
Ok, now go to TER and Download the latest version for 4.7.x --> http.//typo3.org/extensions/repository/download/static info tables/2.3.2/t3x/

And use the Upload Function in Extensionmanager and Check "Overwrite any existing extension!:" After Upload an Install you have BOTH
http://typo3.org/extensions/repository/download/static_info_tables/2.3.2/t3x/
http://typo3.org/extensions/repository/download/static_info_tables/2.3.2/t3x/

extensions static_info_table 6 and 2 in one folder. And in this Moment the system crash because version 6 has an ext_autoload.php with
'TYPO3\CMS\Core\Utility\ExtensionManagementUtility' which result in a Fatal error.

| was affected by this, too. | had updated an existing version of static_info_tables. The extension manager just showed a hint, an icon indicating "There

is an update available" | just updated it. Not sure if there was a warning dialog in my case.

To anyone who needs help fixing this:

| removed the typo3conf/ext/static_info_tables directory and restored it from a backup.

You can also prevent loading the extension by editing typo3conf/localconf.php. Remove 'static_info_tables' from the comma separated list on the right

side of the assignments to $TYPO3_CONF_VARS['EXT/['extList], $TYPO3_CONF_VARS['EXT['extList_FEI].

#2 - 2013-08-09 16:06 - Camelia M

You can also prevent loading the extension by editing typo3conf/localconf.php. Remove 'static_info_tables' from the comma separated list on the

right side of the assignments to $TYPO3_CONF_VARS['EXT['extList], $TYPO3_CONF_VARS['EXT|['extList FE'].

| also have this problem, but the above did not work for me. | removed static_info_tables from everywhere in LocalConfiguration.php, clear cache,
completely empty typo3temp folder but still | get the error with "Failed opening required ClassCacheManager.php in ext_autoload.php on line 7" when
| try to access extension manager. | even tried completely removing the folder extension. Still it did not work. This is very weird to me as | am not aware

of any other place where cache could be located.

#3 - 2015-01-17 20:04 - Mathias Schreiber
- Status changed from New to Closed
- Is Regression set to No

Taken into account in #63909.

The issues are not linked on purpose, so the refactoring ticket does not get bloated with relations.
